> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blat.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Batch Scrape Sitemap Status

> Returns the status and results of a batch sitemap scrape



## OpenAPI

````yaml get /batch/scrape_sitemap/{batch_id}
openapi: 3.1.0
info:
  contact:
    email: support@blat.ai
    name: Blat Support
  description: >-
    A web scraping API that supports HTML and Markdown output with optional link
    extraction.
  title: Scrape API
  version: '1.0'
servers:
  - url: https://api.blat.ai
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /batch/scrape_sitemap/{batch_id}:
    get:
      tags:
        - scraping
      summary: Get Batch Scrape Sitemap Status
      description: Returns the status and results of a batch sitemap scrape
      parameters:
        - description: Batch ID
          explode: false
          in: path
          name: batch_id
          required: true
          schema:
            type: string
          style: simple
        - description: 'Start index for pagination (default: 0)'
          explode: true
          in: query
          name: from
          required: false
          schema:
            type: integer
          style: form
      requestBody:
        content:
          application/json:
            schema:
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.BatchScrapeSitemapStatusResponse'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.APIError'
          description: Invalid batch ID
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.APIError'
          description: Unauthorized - Make sure you have a valid API key
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.APIError'
          description: Forbidden - You do not have access to this batch
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.APIError'
          description: Batch not found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.APIError'
          description: Internal server error
      security:
        - bearerauth: []
components:
  schemas:
    api.BatchScrapeSitemapStatusResponse:
      example:
        processed: 0
        total: 6
        expires_at: expires_at
        data:
          - metadata:
              batch_id: batch_id
              job_id: job_id
              url: url
            success: true
            error_code: error_code
            links:
              - links
              - links
            error: error
          - metadata:
              batch_id: batch_id
              job_id: job_id
              url: url
            success: true
            error_code: error_code
            links:
              - links
              - links
            error: error
        status: status
      properties:
        data:
          description: The data of the batch scrape
          items:
            $ref: '#/components/schemas/api.BatchScrapeSitemapData'
          type: array
          uniqueItems: false
        expires_at:
          description: The expiration time of the batch scrape
          type: string
        processed:
          description: The number of successful scrapes
          type: integer
        status:
          description: The status of the batch scrape
          type: string
        total:
          description: The total number of sitemaps in the batch
          type: integer
    utils.APIError:
      example:
        code: code
        details:
          key: ''
        message: message
      properties:
        code:
          type: string
        details:
          additionalProperties: {}
        message:
          type: string
    api.BatchScrapeSitemapData:
      example:
        metadata:
          batch_id: batch_id
          job_id: job_id
          url: url
        success: true
        error_code: error_code
        links:
          - links
          - links
        error: error
      properties:
        error:
          type: string
        error_code:
          type: string
        links:
          description: Extracted links from the sitemap
          items:
            type: string
          type: array
          uniqueItems: false
        metadata:
          $ref: '#/components/schemas/api.BatchScrapeSitemapMetadata'
        success:
          type: boolean
    api.BatchScrapeSitemapMetadata:
      example:
        batch_id: batch_id
        job_id: job_id
        url: url
      properties:
        batch_id:
          description: The ID of the batch scrape
          type: string
        job_id:
          description: The ID of each sitemap scrape job in the batch
          type: string
        url:
          description: The sitemap URL of the job
          type: string
  securitySchemes:
    bearerauth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````